#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n,m;
    cin >> n >> m;
    vector<long int>a;
    for(int i=0; i<n; i++){
        int d, u;
        cin >> d >> u;
   //     int el=a[i];
        a.push_back((d,u));
       // el.push_back(u);
    }
    int br=0;
    for(int i=0; i<m; i++){
        int l,r,x;
        cin >> l >> r >> x;
        int br=0;
        for(int j=l-1; j<r; j++){
            br += 1;
        }
        cout << br;
    }
        
}